#[derive(Clone, Copy, Debug)]
pub struct Client<'a> {
    auth: Authentication<'a>,
    useragent: &'a str,
    url: &'static str
}

impl<'a> Client<'a> {
    pub fn new(auth: Authentication<'a>, useragent: &'a str) -> Self {
        Client {
            auth,
            useragent,
            url: "https://e621.net"
        }
    }
}

#[derive(Clone, Copy, Debug)]
pub enum Authentication<'a> {
    Authorized {username: &'a str, apikey: &'a str},
    Unauthorized
}
